Bug 740175 - [abrt] imsettings-1.2.4-1.fc15: g_variant_type_info_check: Process /usr/libexec/imsettings-daemon was killed by signal 11 (SIGSEGV)
[abrt] imsettings-1.2.4-1.fc15: g_variant_type_info_check: Process /usr/libex...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:2ba9665bdfa46fab11c22e17369...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-21 04:34 EDT by Eric Doutreleau
Modified: 2012-02-25 03:31 EST (History)
2 users (show)

See Also:
Fixed In Version: imsettings-1.2.8-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-25 03:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Doutreleau 2011-09-21 04:34:41 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
comment:        I just logged on my system
component:      imsettings
crash_function: g_variant_type_info_check
executable:     /usr/libexec/imsettings-daemon
kernel:         2.6.40.3-0.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        imsettings-1.2.4-1.fc15
reason:         Process /usr/libexec/imsettings-daemon was killed by signal 11 (SIGSEGV)
time:           Wed Sep 21 10:32:08 2011
uid:            14501
username:       tested
var_log_messages: Sep 21 10:32:08 b08-13 abrt[3910]: saved core dump of pid 3708 (/usr/libexec/imsettings-daemon) to /var/spool/abrt/ccpp-2011-09-21-10:32:08-3708.new/coredump (17924096 bytes)

backtrace:
:warning: core file may not match specified executable file.
:[New LWP 3709]
:[New LWP 3722]
:[New LWP 3708]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/imsettings-daemon'.
:Program terminated with signal 11, Segmentation fault.
:#0  g_variant_type_info_check (info=0x0, container_class=<optimized out>) at gvarianttypeinfo.c:164
:164	gvarianttypeinfo.c: No such file or directory.
:	in gvarianttypeinfo.c
:
:Thread 3 (Thread 0xb7780720 (LWP 3708)):
:#0  0x00765424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x42a3cc3e in __GI___poll (fds=0x8db57e0, nfds=3, timeout=120000) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x42d3caac in g_poll (fds=0x8db57e0, nfds=3, timeout=120000) at gpoll.c:132
:No locals.
:#3  0x42d2dc36 in g_main_context_poll (n_fds=3, fds=0x42b375d0, priority=<optimized out>, timeout=<optimized out>, context=0xb6e00468) at gmain.c:3405
:        poll_func = 0x42d3ca80 <g_poll>
:#4  g_main_context_iterate (context=0xb6e00468, block=1121176192, dispatch=1, self=0x8d9c090) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = 120000
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x42b375d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x42d2e457 in g_main_loop_run (loop=0x8dab370) at gmain.c:3300
:        self = 0x8d9c090
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x0804b7d2 in ?? ()
:No symbol table info available.
:#7  0x42986413 in __libc_start_main (main=0x804b320, argc=1, ubp_av=0xbfa3f574, init=0x8050a30, fini=0x8050aa0, rtld_fini=0x42956dd0 <_dl_fini>, stack_end=0xbfa3f56c) at libc-start.c:226
:        result = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1118785524, 0, 0, 0, 272208291, 1729623129}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x4294a1a0, 0xbfa3f570}, data = {prev = 0x0, cleanup = 0x0, canceltype = 1117036960}}}
:        not_first_call = <optimized out>
:#8  0x0804b845 in ?? ()
:No symbol table info available.
:Backtrace stopped: Not enough registers or memory available to unwind further
:
:Thread 2 (Thread 0xb6dffb70 (LWP 3722)):
:#0  0x00765424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x42a3cc3e in __GI___poll (fds=0xb6400ca0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x42d3caac in g_poll (fds=0xb6400ca0, nfds=1, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x42d2dc36 in g_main_context_poll (n_fds=1, fds=0x42b375d0, priority=<optimized out>, timeout=<optimized out>, context=0x8dc6d90) at gmain.c:3405
:        poll_func = 0x42d3ca80 <g_poll>
:#4  g_main_context_iterate (context=0x8dc6d90, block=1121176192, dispatch=1, self=0x8dc6e20) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x42b375d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x42d2e457 in g_main_loop_run (loop=0xb6400c90) at gmain.c:3300
:        self = 0x8dc6e20
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x006c7415 in dconf_context_thread (data=0x8dc6d90) at dconfcontext.c:11
:        context = 0x8dc6d90
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#7  0x42d55535 in g_thread_create_proxy (data=0x8dc6e20) at gthread.c:1955
:        thread = 0x8dc6e20
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x42b34a2e in start_thread (arg=0xb6dffb70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb6dffb70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1119113204, 0, 4001536, -1226836936, -399052367, 826518105}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#9  0x42a4734e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb777fb70 (LWP 3709)):
:#0  g_variant_type_info_check (info=0x0, container_class=<optimized out>) at gvarianttypeinfo.c:164
:        _g_boolean_var_ = <optimized out>
:        __PRETTY_FUNCTION__ = "g_variant_type_info_check"
:#1  0x42d72158 in g_variant_type_info_unref (info=0x0) at gvarianttypeinfo.c:831
:No locals.
:#2  0x42d6b232 in g_variant_unref (value=0x8dc9f00) at gvariant-core.c:625
:No locals.
:#3  0x43230f79 in g_dbus_message_finalize (object=0xb6e03780 [GDBusMessage]) at gdbusmessage.c:125
:        message = 0xb6e03780 [GDBusMessage]
:#4  0x42e6b5f5 in g_object_unref (_object=0xb6e03780) at gobject.c:2734
:        object = 0xb6e03780 [GDBusMessage]
:        old_ref = <optimized out>
:        __PRETTY_FUNCTION__ = "g_object_unref"
:#5  0x4323b714 in message_to_write_data_free (data=0x8dc8488) at gdbusprivate.c:880
:No locals.
:#6  0x4323d505 in write_message_cb (source_object=0x0, res=0xb6e02c88, user_data=0x8dc8488) at gdbusprivate.c:1270
:        data = 0x8dc8488
:        error = 0x0
:#7  0x431e0e33 in g_simple_async_result_complete (simple=0xb6e02c88 [GSimpleAsyncResult]) at gsimpleasyncresult.c:747
:        current_source = <optimized out>
:        current_context = <optimized out>
:        __PRETTY_FUNCTION__ = "g_simple_async_result_complete"
:#8  0x4323cce3 in write_message_continue_writing (data=<optimized out>) at gdbusprivate.c:1061
:        ostream = <optimized out>
:        simple = 0xb6e02c88 [GSimpleAsyncResult]
:        fd_list = 0x0
:        __PRETTY_FUNCTION__ = "write_message_continue_writing"
:#9  0x4323d14f in maybe_write_next_message (worker=0x8daa800) at gdbusprivate.c:1343
:        old_message = <optimized out>
:        new_blob = <optimized out>
:        new_blob_size = 3068148736
:        error = 0x42d56ac3
:        data = 0x8dc8488
:#10 0x4323d275 in write_message_in_idle_cb (user_data=0x8daa800) at gdbusprivate.c:1356
:No locals.
:#11 write_message_in_idle_cb (user_data=0x8daa800) at gdbusprivate.c:1352
:        worker = 0x8daa800
:#12 0x42d295d1 in g_idle_dispatch (source=0x8dc8348, callback=0x4323d250 <write_message_in_idle_cb>, user_data=0x8daa800) at gmain.c:4558
:No locals.
:#13 0x42d2d5bf in g_main_dispatch (context=0x8daadd0) at gmain.c:2441
:        dispatch = 0x42d295b0 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x8daa800
:        callback = 0x4323d250 <write_message_in_idle_cb>
:        cb_funcs = 0x42e0465c
:        cb_data = 0x8db65b8
:        current_source_link = {data = 0x8dc8348, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x8dc8348
:        current = 0x8dabde0
:        i = <optimized out>
:#14 g_main_context_dispatch (context=0x8daadd0) at gmain.c:3014
:No locals.
:#15 0x42d2dd30 in g_main_context_iterate (context=0x8daadd0, block=1121176192, dispatch=1, self=0x8daae60) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x42b375d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#16 0x42d2e457 in g_main_loop_run (loop=0x8daadc0) at gmain.c:3300
:        self = 0x8daae60
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#17 0x4323b032 in gdbus_shared_thread_func (data=0x0) at gdbusprivate.c:276
:No locals.
:#18 0x42d55535 in g_thread_create_proxy (data=0x8daae60) at gthread.c:1955
:        thread = 0x8daae60
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#19 0x42b34a2e in start_thread (arg=0xb777fb70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb777fb70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1119113204, 0, 4001536, -1216875464, -1204358734, 826518105}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#20 0x42a4734e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:From        To          Syms Read   Shared Object Library
:0x43b50d10  0x43b5367c  Yes         /usr/lib/libnotify.so.4
:0x435c79b0  0x435dd88c  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0
:0x42eb1720  0x42ece49c  Yes         /usr/lib/libpng12.so.0
:0x42afe470  0x42b19b4c  Yes         /lib/libm.so.6
:0x42fb4690  0x42fb8dbc  Yes (*)     /usr/lib/libimsettings.so.5
:0x431a0c50  0x4325d40c  Yes         /lib/libgio-2.0.so.0
:0x4317cbd0  0x4317dd4c  Yes         /lib/libgmodule-2.0.so.0
:0x42e64fe0  0x42e9872c  Yes         /lib/libgobject-2.0.so.0
:0x42e57f30  0x42e5970c  Yes         /lib/libgthread-2.0.so.0
:0x42b6a880  0x42b6e39c  Yes         /lib/librt.so.1
:0x42cfe770  0x42d9c3dc  Yes         /lib/libglib-2.0.so.0
:0x42b32600  0x42b3dd6c  Yes         /lib/libpthread.so.0
:0x42983d10  0x42aa1d24  Yes         /lib/libc.so.6
:0x42b75670  0x42b82aac  Yes         /lib/libz.so.1
:0x42948850  0x4295faff  Yes         /lib/ld-linux.so.2
:0x42b27a60  0x42b28a8c  Yes         /lib/libdl.so.2
:0x42e2a5f0  0x42e3a65c  Yes         /lib/libresolv.so.2
:0x42e0b490  0x42e1cd9c  Yes         /lib/libselinux.so.1
:0x00beab80  0x00bf7f0c  Yes         /usr/lib/gio/modules/libgioremote-volume-monitor.so
:0x42b92c60  0x42b9e47c  Yes         /usr/lib/libgvfscommon.so.0
:0x431356a0  0x43164cfc  Yes         /lib/libdbus-1.so.3
:0x42edb040  0x42ef4c7c  Yes         /lib/libexpat.so.1
:0x4573da20  0x4573e42c  Yes         /lib/libutil.so.1
:0x00926490  0x0094218c  Yes         /usr/lib/gio/modules/libgvfsdbus.so
:0x43c5a3b0  0x43c63acc  Yes         /lib/libudev.so.0
:0x42b4bf30  0x42b62c5c  Yes         /lib/libgcc_s.so.1
:0x42c07a40  0x42c0ef3c  Yes         /lib/libnss_files.so.2
:0x00634bc0  0x006375fc  Yes (*)     /lib/libnss_sss.so.2
:0x00f71690  0x00f719cc  Yes (*)     /usr/lib/imsettings/libimsettings-xfce.so
:0x42fc86c0  0x42fd1bfc  Yes         /usr/lib/libxfconf-0.so.2
:0x43a52510  0x43a6646c  Yes         /usr/lib/libdbus-glib-1.so.2
:0x008ff670  0x008ff9ac  Yes (*)     /usr/lib/imsettings/libimsettings-gsettings.so
:0x00f3c790  0x00f3cd6c  Yes (*)     /usr/lib/imsettings/libimsettings-qt.so
:0x003f28f0  0x003f2fdc  Yes (*)     /usr/lib/imsettings/libimsettings-lxde.so
:0x006c4dc0  0x006c8a8c  Yes         /usr/lib/gio/modules/libdconfsettings.so
:(*): Shared library is missing debugging information.
:$1 = 0x0
:$2 = 0x0
:eax            0x0	0
:ecx            0x22	34
:edx            0x0	0
:ebx            0x42e04328	1121993512
:esp            0xb777eed0	0xb777eed0
:ebp            0x8daa800	0x8daa800
:esi            0x0	0
:edi            0x1	1
:eip            0x42d7184f	0x42d7184f <g_variant_type_info_check+31>
:eflags         0x10246	[ PF ZF IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function g_variant_type_info_check:
:   0x42d71830 <+0>:	lea    -0x5c(%esp),%esp
:   0x42d71834 <+4>:	mov    %ebx,0x50(%esp)
:   0x42d71838 <+8>:	mov    %esi,0x54(%esp)
:   0x42d7183c <+12>:	call   0x42cfeff9 <__i686.get_pc_thunk.bx>
:   0x42d71841 <+17>:	add    $0x92ae7,%ebx
:   0x42d71847 <+23>:	test   %dl,%dl
:   0x42d71849 <+25>:	mov    %edi,0x58(%esp)
:   0x42d7184d <+29>:	jne    0x42d71898 <g_variant_type_info_check+104>
:=> 0x42d7184f <+31>:	movzbl 0x4(%eax),%edx
:   0x42d71853 <+35>:	cmp    $0x3,%dl
:   0x42d71856 <+38>:	jne    0x42d718d8 <g_variant_type_info_check+168>
:   0x42d7185c <+44>:	cmpb   $0x0,0x5(%eax)
:   0x42d71860 <+48>:	je     0x42d71908 <g_variant_type_info_check+216>
:   0x42d71866 <+54>:	mov    0xc(%eax),%edx
:   0x42d71869 <+57>:	mov    %edx,%edi
:   0x42d7186b <+59>:	mov    %edx,%esi
:   0x42d7186d <+61>:	sar    $0x1f,%edi
:   0x42d71870 <+64>:	cmp    $0x0,%edi
:   0x42d71873 <+67>:	jle    0x42d71970 <g_variant_type_info_check+320>
:   0x42d71879 <+73>:	mov    0x8(%eax),%eax
:   0x42d7187c <+76>:	test   %eax,%eax
:   0x42d7187e <+78>:	je     0x42d719f0 <g_variant_type_info_check+448>
:   0x42d71884 <+84>:	mov    0x50(%esp),%ebx
:   0x42d71888 <+88>:	mov    0x54(%esp),%esi
:   0x42d7188c <+92>:	mov    0x58(%esp),%edi
:   0x42d71890 <+96>:	lea    0x5c(%esp),%esp
:   0x42d71894 <+100>:	ret    
:   0x42d71895 <+101>:	lea    0x0(%esi),%esi
:   0x42d71898 <+104>:	movzbl 0x5(%eax),%ecx
:   0x42d7189c <+108>:	movsbl %dl,%edx
:   0x42d7189f <+111>:	cmp    %edx,%ecx
:   0x42d718a1 <+113>:	je     0x42d7184f <g_variant_type_info_check+31>
:   0x42d718a3 <+115>:	lea    -0x205cc(%ebx),%eax
:   0x42d718a9 <+121>:	movl   $0xa1,0x8(%esp)
:   0x42d718b1 <+129>:	mov    %eax,0x10(%esp)
:   0x42d718b5 <+133>:	lea    -0x203b8(%ebx),%eax
:   0x42d718bb <+139>:	mov    %eax,0xc(%esp)
:   0x42d718bf <+143>:	lea    -0x20618(%ebx),%eax
:   0x42d718c5 <+149>:	mov    %eax,0x4(%esp)
:   0x42d718c9 <+153>:	lea    -0x67f22(%ebx),%eax
:   0x42d718cf <+159>:	mov    %eax,(%esp)
:   0x42d718d2 <+162>:	call   0x42d53bd0 <g_assertion_message_expr>
:   0x42d718d7 <+167>:	nop
:   0x42d718d8 <+168>:	cmp    $0x1,%dl
:   0x42d718db <+171>:	jbe    0x42d7185c <g_variant_type_info_check+44>
:   0x42d718e1 <+177>:	cmp    $0x7,%dl
:   0x42d718e4 <+180>:	je     0x42d7185c <g_variant_type_info_check+44>
:   0x42d718ea <+186>:	lea    -0x2058c(%ebx),%eax
:   0x42d718f0 <+192>:	movl   $0xa5,0x8(%esp)
:   0x42d718f8 <+200>:	mov    %eax,0x10(%esp)
:   0x42d718fc <+204>:	lea    -0x203b8(%ebx),%eax
:   0x42d71902 <+210>:	mov    %eax,0xc(%esp)
:   0x42d71906 <+214>:	jmp    0x42d718bf <g_variant_type_info_check+143>
:   0x42d71908 <+216>:	lea    -0x204a8(%ebx),%edx
:   0x42d7190e <+222>:	sub    %edx,%eax
:   0x42d71910 <+224>:	sar    $0x3,%eax
:   0x42d71913 <+227>:	cmp    $0x17,%eax
:   0x42d71916 <+230>:	ja     0x42d71948 <g_variant_type_info_check+280>
:   0x42d71918 <+232>:	cmpb   $0x20,-0x203e8(%ebx,%eax,2)
:   0x42d71920 <+240>:	jne    0x42d71884 <g_variant_type_info_check+84>
:   0x42d71926 <+246>:	lea    -0x2050c(%ebx),%eax
:   0x42d7192c <+252>:	movl   $0xbb,0x8(%esp)
:   0x42d71934 <+260>:	mov    %eax,0x10(%esp)
:   0x42d71938 <+264>:	lea    -0x203b8(%ebx),%eax
:   0x42d7193e <+270>:	mov    %eax,0xc(%esp)
:   0x42d71942 <+274>:	jmp    0x42d718bf <g_variant_type_info_check+143>
:   0x42d71947 <+279>:	nop
:   0x42d71948 <+280>:	lea    -0x20605(%ebx),%eax
:   0x42d7194e <+286>:	movl   $0xba,0x8(%esp)
:   0x42d71956 <+294>:	mov    %eax,0x10(%esp)
:   0x42d7195a <+298>:	lea    -0x203b8(%ebx),%eax
:   0x42d71960 <+304>:	mov    %eax,0xc(%esp)
:   0x42d71964 <+308>:	jmp    0x42d718bf <g_variant_type_info_check+143>
:   0x42d71969 <+313>:	lea    0x0(%esi,%eiz,1),%esi
:   0x42d71970 <+320>:	jl     0x42d7197b <g_variant_type_info_check+331>
:   0x42d71972 <+322>:	cmp    $0x0,%edx
:   0x42d71975 <+325>:	ja     0x42d71879 <g_variant_type_info_check+73>
:   0x42d7197b <+331>:	mov    %esi,0x48(%esp)
:   0x42d7197f <+335>:	mov    %edi,0x4c(%esp)
:   0x42d71983 <+339>:	fildll 0x48(%esp)
:   0x42d71987 <+343>:	lea    -0x66ffa(%ebx),%eax
:   0x42d7198d <+349>:	movl   $0x69,0x30(%esp)
:   0x42d71995 <+357>:	mov    %eax,0x20(%esp)
:   0x42d71999 <+361>:	movl   $0x0,0x24(%esp)
:   0x42d719a1 <+369>:	lea    -0x20631(%ebx),%eax
:   0x42d719a7 <+375>:	movl   $0x0,0x28(%esp)
:   0x42d719af <+383>:	mov    %eax,0x10(%esp)
:   0x42d719b3 <+387>:	movl   $0x0,0x2c(%esp)
:   0x42d719bb <+395>:	lea    -0x203b8(%ebx),%eax
:   0x42d719c1 <+401>:	fstpt  0x14(%esp)
:   0x42d719c5 <+405>:	mov    %eax,0xc(%esp)
:   0x42d719c9 <+409>:	movl   $0xac,0x8(%esp)
:   0x42d719d1 <+417>:	lea    -0x20618(%ebx),%eax
:   0x42d719d7 <+423>:	mov    %eax,0x4(%esp)
:   0x42d719db <+427>:	lea    -0x67f22(%ebx),%eax
:   0x42d719e1 <+433>:	mov    %eax,(%esp)
:   0x42d719e4 <+436>:	call   0x42d53aa0 <g_assertion_message_cmpnum>
:   0x42d719e9 <+441>:	lea    0x0(%esi,%eiz,1),%esi
:   0x42d719f0 <+448>:	lea    -0x2052c(%ebx),%eax
:   0x42d719f6 <+454>:	movl   $0xad,0x8(%esp)
:   0x42d719fe <+462>:	mov    %eax,0x10(%esp)
:   0x42d71a02 <+466>:	lea    -0x203b8(%ebx),%eax
:   0x42d71a08 <+472>:	mov    %eax,0xc(%esp)
:   0x42d71a0c <+476>:	jmp    0x42d718bf <g_variant_type_info_check+143>
:End of assembler dump.

build_ids:
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:10951571c8257004a4cdac2f102244215c63f724
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:10eefd171c164cea86c38ec4065a0194724567d9
:54cd028a802511f8b7be3bbeeb0fcfcfa194fab3
:18594961a49dfa56457f31d1d04a5547218ae371
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:c833d1602084a2aefe852c6c9838a2beea3d2280
:cc0a3c6df6895aaf6b3f17f9e0d16ce06d24304a
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:0686369e7bbdc0f19a86bc94e88ec41132aea162
:0e86c91759ac399f4e83998c68b55b3df0d5ebaa
:177452c458dbd4322d2fb524e0ede4fec9020580
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:837e1ca00132cf34660139487cceaddde3d607c5
:7cde8206ad97ddf378cc9e6843180535983b0efc
:5a4b4eca5a07087498a211616ade557aa901d893
:6c62db659622616558823abb1c12f7c216fed997
:56dbf2b7630a34ab8e98d81362ac7348ec657f10
:4709482862f00637bedaf5eeda381d3c6ecf2996
:826bb4d8376c62b913b61301b276adab50e11c5a
:c0f4c1b29d774b73bab72675ac11f18a7e7641d2
:80e3231420a42d64b3fb3663810bccc434d23471
:34d715e2766f8694271730798a4b8e1605ec93ea
:8bae3ea4ef7ae53450c3cdd0ea43e7cf7d362c4f
:cd075f073e50e0d55afcbefe042da61a4486c101
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:4e3943fcffaceedfc0149e59e6404371ec367c2f
:25c5e67291f34713a82cdf92147adec423771905
:e20241fcb0aadb243e777cd42cc5fe9d0f780174
:45522ad4fd239443a7af63fc6cb1544014c0ab87
:d3c1503a63d7f9c0b9b4a8a083e3ba68f6f95962
:61cd649f8b0908619d789a94e6ceea50086e2abb
:9c04594db13fd8fd6e899a12f1d5cef5b52798cc
:6f87ea21308989c674f40d270f35514bbed96401
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:37b6ae12c782e78ad8450b2cc126c822a538f9df

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1314799752
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.i686 (Fedora Project) 1314799894
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1314801901
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/usr/lib/libimsettings.so.5.2.0 imsettings-libs-1.2.4-1.fc15.i686 (Fedora Project) 1314800052
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1314799970
:/lib/libutil-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1314799896
:/usr/lib/imsettings/libimsettings-gsettings.so imsettings-gnome-1.2.4-1.fc15.i686 (Fedora Project) 1314801597
:/usr/lib/libxfconf-0.so.2.0.0 xfconf-4.8.0-2.fc15.i686 (Fedora Project) 1314800181
:/lib/libnss_sss.so.2 sssd-client-1.5.12-1.fc15.i686 (Fedora Project) 1314801059
:/usr/lib/imsettings/libimsettings-qt.so imsettings-qt-1.2.4-1.fc15.i686 (Fedora Project) 1314803951
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1314799968
:/usr/lib/imsettings/libimsettings-xfce.so imsettings-xfce-1.2.4-1.fc15.i686 (Fedora Project) 1314801596
:/usr/lib/imsettings/libimsettings-lxde.so imsettings-lxde-1.2.4-1.fc15.i686 (Fedora Project) 1314803951
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1314799893
:/lib/libudev.so.0.11.1 libudev-167-4.fc15.i686 (Fedora Project) 1314799920
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1314799970
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1314801901
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/usr/lib/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1314801901
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1314799970
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1314799970
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1314799902
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.7.5-1.i686 (Fedora Project) 1314800235
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1314799747
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1314799970
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1314799738
:/usr/libexec/imsettings-daemon imsettings-1.2.4-1.fc15.i686 (Fedora Project) 1314801597
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1314799752
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1314799974
:/usr/lib/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.i686 (Fedora Project) 1314801508
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1314799975

environ:
:SHELL=/usr/local/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-IvGpuWXCcq,guid=9f0f1a928ee56a9dab6cd284000005e4
:XDG_SESSION_COOKIE=d70ee28c7aa7125f5970b2f600000010-1316593926.203095-137210710
:XDG_RUNTIME_DIR=/run/user/tested
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=8
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:USERNAME=tested
:XDG_SESSION_ID=25
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-IvGpuWXCcq,guid=9f0f1a928ee56a9dab6cd284000005e4
:XAUTHORITY=/var/run/gdm/auth-for-tested-ifJiWU/database
:USER=tested
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=3632
:SHLVL=1
:PWD=/mci/mci/tested
:GDM_LANG=fr_FR.UTF-8
:GNOME_KEYRING_CONTROL=/tmp/keyring-Zc1pWj
:LANG=fr_FR.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=tested
:HOME=/mci/mci/tested

maps:
:003f2000-003f4000 r-xp 00000000 fd:00 3839879    /usr/lib/imsettings/libimsettings-lxde.so
:003f4000-003f5000 rw-p 00001000 fd:00 3839879    /usr/lib/imsettings/libimsettings-lxde.so
:00634000-00638000 r-xp 00000000 fd:00 4984955    /lib/libnss_sss.so.2
:00638000-00639000 rw-p 00004000 fd:00 4984955    /lib/libnss_sss.so.2
:006c3000-006ca000 r-xp 00000000 fd:00 4201741    /usr/lib/gio/modules/libdconfsettings.so
:006ca000-006cb000 rw-p 00007000 fd:00 4201741    /usr/lib/gio/modules/libdconfsettings.so
:00765000-00766000 r-xp 00000000 00:00 0          [vdso]
:008ff000-00900000 r-xp 00000000 fd:00 3811375    /usr/lib/imsettings/libimsettings-gsettings.so
:00900000-00901000 rw-p 00000000 fd:00 3811375    /usr/lib/imsettings/libimsettings-gsettings.so
:00920000-0094a000 r-xp 00000000 fd:00 4204783    /usr/lib/gio/modules/libgvfsdbus.so
:0094a000-0094b000 rw-p 0002a000 fd:00 4204783    /usr/lib/gio/modules/libgvfsdbus.so
:00be8000-00bfc000 r-xp 00000000 fd:00 4204782    /usr/lib/gio/modules/libgioremote-volume-monitor.so
:00bfc000-00bfd000 rw-p 00013000 fd:00 4204782    /usr/lib/gio/modules/libgioremote-volume-monitor.so
:00f3c000-00f3e000 r-xp 00000000 fd:00 3839878    /usr/lib/imsettings/libimsettings-qt.so
:00f3e000-00f3f000 rw-p 00001000 fd:00 3839878    /usr/lib/imsettings/libimsettings-qt.so
:00f71000-00f72000 r-xp 00000000 fd:00 3811296    /usr/lib/imsettings/libimsettings-xfce.so
:00f72000-00f73000 rw-p 00000000 fd:00 3811296    /usr/lib/imsettings/libimsettings-xfce.so
:08048000-08053000 r-xp 00000000 fd:00 3678137    /usr/libexec/imsettings-daemon
:08053000-08055000 rw-p 0000b000 fd:00 3678137    /usr/libexec/imsettings-daemon
:08d9c000-08de2000 rw-p 00000000 00:00 0          [heap]
:42948000-42965000 r-xp 00000000 fd:00 4994546    /lib/ld-2.14.so
:42965000-42966000 r--p 0001d000 fd:00 4994546    /lib/ld-2.14.so
:42966000-42967000 rw-p 0001e000 fd:00 4994546    /lib/ld-2.14.so
:4296d000-42af2000 r-xp 00000000 fd:00 4994547    /lib/libc-2.14.so
:42af2000-42af3000 ---p 00185000 fd:00 4994547    /lib/libc-2.14.so
:42af3000-42af5000 r--p 00185000 fd:00 4994547    /lib/libc-2.14.so
:42af5000-42af6000 rw-p 00187000 fd:00 4994547    /lib/libc-2.14.so
:42af6000-42af9000 rw-p 00000000 00:00 0 
:42afb000-42b23000 r-xp 00000000 fd:00 4994555    /lib/libm-2.14.so
:42b23000-42b24000 r--p 00028000 fd:00 4994555    /lib/libm-2.14.so
:42b24000-42b25000 rw-p 00029000 fd:00 4994555    /lib/libm-2.14.so
:42b27000-42b2a000 r-xp 00000000 fd:00 4994551    /lib/libdl-2.14.so
:42b2a000-42b2b000 r--p 00002000 fd:00 4994551    /lib/libdl-2.14.so
:42b2b000-42b2c000 rw-p 00003000 fd:00 4994551    /lib/libdl-2.14.so
:42b2e000-42b44000 r-xp 00000000 fd:00 4994549    /lib/libpthread-2.14.so
:42b44000-42b45000 r--p 00015000 fd:00 4994549    /lib/libpthread-2.14.so
:42b45000-42b46000 rw-p 00016000 fd:00 4994549    /lib/libpthread-2.14.so
:42b46000-42b48000 rw-p 00000000 00:00 0 
:42b4a000-42b66000 r-xp 00000000 fd:00 4994556    /lib/libgcc_s-4.6.0-20110603.so.1
:42b66000-42b67000 rw-p 0001b000 fd:00 4994556    /lib/libgcc_s-4.6.0-20110603.so.1
:42b69000-42b70000 r-xp 00000000 fd:00 4994552    /lib/librt-2.14.so
:42b70000-42b71000 r--p 00006000 fd:00 4994552    /lib/librt-2.14.so
:42b71000-42b72000 rw-p 00007000 fd:00 4994552    /lib/librt-2.14.so
:42b74000-42b89000 r-xp 00000000 fd:00 4994550    /lib/libz.so.1.2.5
:42b89000-42b8a000 rw-p 00014000 fd:00 4994550    /lib/libz.so.1.2.5
:42b8c000-42ba2000 r-xp 00000000 fd:00 3706987    /usr/lib/libgvfscommon.so.0.0.0
:42ba2000-42ba3000 rw-p 00016000 fd:00 3706987    /usr/lib/libgvfscommon.so.0.0.0
:42c06000-42c11000 r-xp 00000000 fd:00 4994604    /lib/libnss_files-2.14.so
:42c11000-42c12000 r--p 0000a000 fd:00 4994604    /lib/libnss_files-2.14.so
:42c12000-42c13000 rw-p 0000b000 fd:00 4994604    /lib/libnss_files-2.14.so
:42cec000-42e04000 r-xp 00000000 fd:00 4994553    /lib/libglib-2.0.so.0.2800.8
:42e04000-42e05000 rw-p 00118000 fd:00 4994553    /lib/libglib-2.0.so.0.2800.8
:42e07000-42e24000 r-xp 00000000 fd:00 4994562    /lib/libselinux.so.1
:42e24000-42e25000 r--p 0001c000 fd:00 4994562    /lib/libselinux.so.1
:42e25000-42e26000 rw-p 0001d000 fd:00 4994562    /lib/libselinux.so.1
:42e28000-42e3e000 r-xp 00000000 fd:00 4994561    /lib/libresolv-2.14.so
:42e3e000-42e3f000 r--p 00016000 fd:00 4994561    /lib/libresolv-2.14.so
:42e3f000-42e40000 rw-p 00017000 fd:00 4994561    /lib/libresolv-2.14.so
:42e40000-42e42000 rw-p 00000000 00:00 0 
:42e57000-42e5b000 r-xp 00000000 fd:00 4994554    /lib/libgthread-2.0.so.0.2800.8
:42e5b000-42e5c000 rw-p 00003000 fd:00 4994554    /lib/libgthread-2.0.so.0.2800.8
:42e5e000-42eaa000 r-xp 00000000 fd:00 4994557    /lib/libgobject-2.0.so.0.2800.8
:42eaa000-42eac000 rw-p 0004b000 fd:00 4994557    /lib/libgobject-2.0.so.0.2800.8
:42eae000-42ed6000 r-xp 00000000 fd:00 3680384    /usr/lib/libpng12.so.0.46.0
:42ed6000-42ed7000 rw-p 00027000 fd:00 3680384    /usr/lib/libpng12.so.0.46.0
:42ed9000-42eff000 r-xp 00000000 fd:00 4994559    /lib/libexpat.so.1.5.2
:42eff000-42f01000 rw-p 00026000 fd:00 4994559    /lib/libexpat.so.1.5.2
:42fb2000-42fbc000 r-xp 00000000 fd:00 3695516    /usr/lib/libimsettings.so.5.2.0
:42fbc000-42fbd000 rw-p 00009000 fd:00 3695516    /usr/lib/libimsettings.so.5.2.0
:42fc5000-42fd6000 r-xp 00000000 fd:00 3702702    /usr/lib/libxfconf-0.so.2.0.0
:42fd6000-42fd7000 rw-p 00010000 fd:00 3702702    /usr/lib/libxfconf-0.so.2.0.0
:43130000-43177000 r-xp 00000000 fd:00 4994575    /lib/libdbus-1.so.3.5.4
:43177000-43178000 ---p 00047000 fd:00 4994575    /lib/libdbus-1.so.3.5.4
:43178000-43179000 r--p 00047000 fd:00 4994575    /lib/libdbus-1.so.3.5.4
:43179000-4317a000 rw-p 00048000 fd:00 4994575    /lib/libdbus-1.so.3.5.4
:4317c000-4317f000 r-xp 00000000 fd:00 4994582    /lib/libgmodule-2.0.so.0.2800.8
:4317f000-43180000 rw-p 00002000 fd:00 4994582    /lib/libgmodule-2.0.so.0.2800.8
:43182000-432ac000 r-xp 00000000 fd:00 4994583    /lib/libgio-2.0.so.0.2800.8
:432ac000-432af000 rw-p 00129000 fd:00 4994583    /lib/libgio-2.0.so.0.2800.8
:432af000-432b0000 rw-p 00000000 00:00 0 
:435c3000-435e5000 r-xp 00000000 fd:00 3697080    /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:435e5000-435e6000 rw-p 00021000 fd:00 3697080    /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:43a4b000-43a6f000 r-xp 00000000 fd:00 3724381    /usr/lib/libdbus-glib-1.so.2.1.0
:43a6f000-43a70000 rw-p 00024000 fd:00 3724381    /usr/lib/libdbus-glib-1.so.2.1.0
:43b4f000-43b55000 r-xp 00000000 fd:00 3726302    /usr/lib/libnotify.so.4.0.0
:43b55000-43b56000 rw-p 00005000 fd:00 3726302    /usr/lib/libnotify.so.4.0.0
:43c58000-43c67000 r-xp 00000000 fd:00 4994585    /lib/libudev.so.0.11.1
:43c67000-43c68000 r--p 0000e000 fd:00 4994585    /lib/libudev.so.0.11.1
:43c68000-43c69000 rw-p 0000f000 fd:00 4994585    /lib/libudev.so.0.11.1
:4573d000-4573f000 r-xp 00000000 fd:00 4994576    /lib/libutil-2.14.so
:4573f000-45740000 r--p 00001000 fd:00 4994576    /lib/libutil-2.14.so
:45740000-45741000 rw-p 00002000 fd:00 4994576    /lib/libutil-2.14.so
:b6200000-b6400000 r--p 00000000 fd:00 3675393    /usr/lib/locale/locale-archive
:b6400000-b6421000 rw-p 00000000 00:00 0 
:b6421000-b6500000 ---p 00000000 00:00 0 
:b65ff000-b6600000 ---p 00000000 00:00 0 
:b6600000-b6e00000 rw-p 00000000 00:00 0 
:b6e00000-b6e21000 rw-p 00000000 00:00 0 
:b6e21000-b6f00000 ---p 00000000 00:00 0 
:b6f60000-b6f7f000 r--p 00000000 fd:00 4340912    /usr/share/glib-2.0/schemas/gschemas.compiled
:b6f7f000-b6f80000 ---p 00000000 00:00 0 
:b6f80000-b7785000 rw-p 00000000 00:00 0 
:b778a000-b778b000 r--p 00000000 00:94 4219718    /mci/mci/tested/.config/dconf/.nfs000000000040634600000006
:b778b000-b778c000 r--s 00000000 fd:00 6823887    /tmp/dconf.8jJa5H/user (deleted)
:b778c000-b778d000 r--p 00000000 fd:00 798955     /etc/dconf/db/site
:b778d000-b778e000 rw-p 00000000 00:00 0 
:b778e000-b77ae000 r--s 00000000 fd:00 4334116    /usr/share/mime/mime.cache
:b77ae000-b77b5000 r--s 00000000 fd:00 3675654    /usr/lib/gconv/gconv-modules.cache
:b77b5000-b77b6000 rw-p 00000000 00:00 0 
:bfa20000-bfa41000 rw-p 00000000 00:00 0          [stack]
Comment 1 Fedora Update System 2012-02-10 02:40:12 EST
imsettings-1.2.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/imsettings-1.2.8-1.fc15
Comment 2 Fedora Update System 2012-02-10 16:53:03 EST
Package imsettings-1.2.8-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing imsettings-1.2.8-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1515/imsettings-1.2.8-1.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-02-25 03:31:20 EST
imsettings-1.2.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.